package com.ruoyi.oa.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 委外工作对象 cmc_outsource_work
 * 
 * @author cmc
 * @date 2024-09-19
 */
public class CmcOutsourceWork extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 委外工作id */
    private Integer workId;

    /** 项目委外id */
    @Excel(name = "项目委外id")
    private String outsourceId;

    /** 工作内容 */
    @Excel(name = "工作内容")
    private String content;

    /** 等级或比例尺 */
    @Excel(name = "等级或比例尺")
    private String scale;

    /** 单位 */
    @Excel(name = "单位")
    private String unit;

    /** 工作量 */
    @Excel(name = "工作量")
    private String workload;

    /** 要求完成时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "要求完成时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date deadline;

    public void setWorkId(Integer workId) 
    {
        this.workId = workId;
    }

    public Integer getWorkId() 
    {
        return workId;
    }
    public void setOutsourceId(String outsourceId) 
    {
        this.outsourceId = outsourceId;
    }

    public String getOutsourceId() 
    {
        return outsourceId;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setScale(String scale) 
    {
        this.scale = scale;
    }

    public String getScale() 
    {
        return scale;
    }
    public void setUnit(String unit) 
    {
        this.unit = unit;
    }

    public String getUnit() 
    {
        return unit;
    }
    public void setWorkload(String workload) 
    {
        this.workload = workload;
    }

    public String getWorkload() 
    {
        return workload;
    }
    public void setDeadline(Date deadline) 
    {
        this.deadline = deadline;
    }

    public Date getDeadline() 
    {
        return deadline;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("workId", getWorkId())
            .append("outsourceId", getOutsourceId())
            .append("content", getContent())
            .append("scale", getScale())
            .append("unit", getUnit())
            .append("workload", getWorkload())
            .append("deadline", getDeadline())
            .append("remark", getRemark())
            .toString();
    }
}
